Bug 703640 - [abrt] libmtp-examples-1.0.6-2.fc15: op_reset_device: Process /usr/bin/mtp-tracks was killed by signal 11 (SIGSEGV)
[abrt] libmtp-examples-1.0.6-2.fc15: op_reset_device: Process /usr/bin/mtp-tr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libmtp (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Linus Walleij
Fedora Extras Quality Assurance
abrt_hash:9c6a0806e64a4b239b1ffda8c43...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-10 17:59 EDT by Juan Francisco Fernández
Modified: 2011-07-02 15:28 EDT (History)
1 user (show)

See Also:
Fixed In Version: libmtp-1.0.6-3.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-02 15:28:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan Francisco Fernández 2011-05-10 17:59:49 EDT
abrt version: 2.0.1
architecture:   i686
cmdline:        mtp-tracks
component:      libmtp
crash_function: op_reset_device
executable:     /usr/bin/mtp-tracks
kernel:         2.6.38.5-24.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        libmtp-examples-1.0.6-2.fc15
rating:         4
reason:         Process /usr/bin/mtp-tracks was killed by signal 11 (SIGSEGV)
time:           Tue May 10 23:31:24 2011
uid:            500
username:       juanffernandez

backtrace:
:[New LWP 4035]
:[Thread debugging using libthread_db enabled]
:Core was generated by `mtp-tracks'.
:Program terminated with signal 11, Segmentation fault.
:#0  0x4d84940a in op_reset_device (handle=0x8919c88) at os/linux_usbfs.c:1217
:1217	os/linux_usbfs.c: No such file or directory.
:	in os/linux_usbfs.c
:
:Thread 1 (Thread 0xb7848a60 (LWP 4035)):
:#0  0x4d84940a in op_reset_device (handle=0x8919c88) at os/linux_usbfs.c:1217
:        fd = <optimized out>
:        r = -1
:        __FUNCTION__ = "op_reset_device"
:#1  0x4d8453a0 in libusb_reset_device (dev=0x8919c88) at core.c:1338
:No locals.
:#2  0x4d09068c in usb_reset (dev=0x89197d0) at core.c:746
:No locals.
:#3  0x4bf6ef74 in configure_usb_device (device=0x8919778, params=0x8919958, usbinfo=0x8919918) at libusb-glue.c:1924
:        ptp_usb = 0x8919c00
:        libusb_device = <optimized out>
:        ret = <optimized out>
:        bus = <optimized out>
:        found = 1
:        __FUNCTION__ = "configure_usb_device"
:#4  0x4bf62f31 in LIBMTP_Open_Raw_Device (rawdevice=0x8919778) at libmtp.c:1827
:        mtp_device = 0x8919910
:        bs = 0 '\000'
:        current_params = 0x8919958
:        ptp_usb = <optimized out>
:        err = <optimized out>
:        i = <optimized out>
:        __FUNCTION__ = "LIBMTP_Open_Raw_Device"
:#5  0x4bf63aed in create_usb_mtp_devices (numdevs=<optimized out>, devices=<optimized out>) at libmtp.c:2014
:        mtp_device = <optimized out>
:        i = <optimized out>
:        mtp_device_list = <optimized out>
:        current_device = <optimized out>
:#6  LIBMTP_Get_Connected_Devices (device_list=0xbfeee18c) at libmtp.c:2074
:        devices = 0x8919778
:        numdevs = 1
:        ret = LIBMTP_ERROR_NONE
:#7  0x080487c3 in main (argc=1, argv=0xbfeee244) at tracks.c:90
:        device_list = <optimized out>
:        iter = <optimized out>
:        tracks = <optimized out>
:From        To          Syms Read   Shared Object Library
:0x4bf5a580  0x4bf7a1ac  Yes         /usr/lib/libmtp.so.8
:0x4d08f070  0x4d090dfc  Yes         /lib/libusb-0.1.so.4
:0x4bda9ce0  0x4bec8004  Yes         /lib/libc.so.6
:0x00838f30  0x0084fc5c  Yes         /lib/libgcc_s.so.1
:0x4d844bb0  0x4d84cbec  Yes         /lib/libusb-1.0.so.0
:0x4bd70850  0x4bd887ff  Yes         /lib/ld-linux.so.2
:0x4bf4a8c0  0x4bf4e6fc  Yes         /lib/librt.so.1
:0x4bf29630  0x4bf355cc  Yes         /lib/libpthread.so.0
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:eax            0xb08	2824
:ecx            0x4bf1eff4	1274146804
:edx            0x9	9
:ebx            0x4d8507b8	1300563896
:esp            0xbfeedf50	0xbfeedf50
:ebp            0x4bf91598	0x4bf91598
:esi            0x8919c88	143760520
:edi            0xffffffff	-1
:eip            0x4d84940a	0x4d84940a <op_reset_device+122>
:eflags         0x210287	[ CF PF SF IF RF ID ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function op_reset_device:
:   0x4d849390 <+0>:	lea    -0x2c(%esp),%esp
:   0x4d849394 <+4>:	mov    %ebx,0x20(%esp)
:   0x4d849398 <+8>:	mov    %esi,0x24(%esp)
:   0x4d84939c <+12>:	call   0x4d844c79 <__i686.get_pc_thunk.bx>
:   0x4d8493a1 <+17>:	add    $0x7417,%ebx
:   0x4d8493a7 <+23>:	mov    0x30(%esp),%esi
:   0x4d8493ab <+27>:	movl   $0x0,0x8(%esp)
:   0x4d8493b3 <+35>:	movl   $0x5514,0x4(%esp)
:   0x4d8493bb <+43>:	mov    %edi,0x28(%esp)
:   0x4d8493bf <+47>:	mov    0x28(%esi),%eax
:   0x4d8493c2 <+50>:	mov    %eax,(%esp)
:   0x4d8493c5 <+53>:	call   0x4d844938 <ioctl@plt>
:   0x4d8493ca <+58>:	mov    %eax,%edi
:   0x4d8493cc <+60>:	xor    %eax,%eax
:   0x4d8493ce <+62>:	test   %edi,%edi
:   0x4d8493d0 <+64>:	je     0x4d84941a <op_reset_device+138>
:   0x4d8493d2 <+66>:	call   0x4d844718 <__errno_location@plt>
:   0x4d8493d7 <+71>:	mov    (%eax),%edx
:   0x4d8493d9 <+73>:	mov    $0xfffffffb,%eax
:   0x4d8493de <+78>:	cmp    $0x13,%edx
:   0x4d8493e1 <+81>:	je     0x4d84941a <op_reset_device+138>
:   0x4d8493e3 <+83>:	mov    %edx,0x14(%esp)
:   0x4d8493e7 <+87>:	mov    %edi,0x10(%esp)
:   0x4d8493eb <+91>:	movl   $0x3,0x4(%esp)
:   0x4d8493f3 <+99>:	lea    -0x35ac(%ebx),%eax
:   0x4d8493f9 <+105>:	mov    %eax,0xc(%esp)
:   0x4d8493fd <+109>:	lea    -0x2d1a(%ebx),%eax
:   0x4d849403 <+115>:	mov    %eax,0x8(%esp)
:   0x4d849407 <+119>:	mov    0x24(%esi),%eax
:=> 0x4d84940a <+122>:	mov    0x1c(%eax),%eax
:   0x4d84940d <+125>:	mov    %eax,(%esp)
:   0x4d849410 <+128>:	call   0x4d845620 <usbi_log>
:   0x4d849415 <+133>:	mov    $0xffffff9d,%eax
:   0x4d84941a <+138>:	mov    0x20(%esp),%ebx
:   0x4d84941e <+142>:	mov    0x24(%esp),%esi
:   0x4d849422 <+146>:	mov    0x28(%esp),%edi
:   0x4d849426 <+150>:	lea    0x2c(%esp),%esp
:   0x4d84942a <+154>:	ret    
:End of assembler dump.

build_ids:
:c2c526c33c5c4baa13b86d8c37b0f1d473d7790f
:6ff69bfdc1c80cf6751bb2c0fc15e0ab9783dd3d
:cec4f67fc97e49704600d1bfc1bed07a4c368bc3
:3728e71c7762c0fc37b8a64b2e61867ecd9dc149
:d646694a4344c1128bbc3b438964063554a3a6bd
:2ca8544b0ff9269420c23a0ac22da52b7894148b
:2fac1d32874632dd8c8a5d62c3652550e89fa1a9
:0d04c271032bbb821f18e7ed384ea020c338731a
:c3663c48ffbb07135c2ae8379d064729beeb0597
:98d5d672772d43d9c4c993a78d092f9cc9439481

comment:
:1.- Plug an Creative Zen V Plus player on an USB port.
:2.- With the player unmounted, execute mtp-tracks.

dsos:
:/usr/lib/gconv/gconv-modules.cache glibc-2.13.90-11.i686 (Fedora Project) 1304809695
:/lib/libc-2.13.90.so glibc-2.13.90-11.i686 (Fedora Project) 1304809695
:/lib/ld-2.13.90.so glibc-2.13.90-11.i686 (Fedora Project) 1304809695
:/lib/libusb-1.0.so.0.0.0 libusb1-1.0.8-7.fc15.i686 (Fedora Project) 1298681523
:/lib/libusb-0.1.so.4.4.4 libusb-1:0.1.3-7.fc15.i686 (Fedora Project) 1298681523
:/lib/libgcc_s-4.6.0-20110509.so.1 libgcc-4.6.0-7.fc15.i686 (Fedora Project) 1305062629
:/lib/libpthread-2.13.90.so glibc-2.13.90-11.i686 (Fedora Project) 1304809695
:/usr/bin/mtp-tracks libmtp-examples-1.0.6-2.fc15.i686 (Fedora Project) 1303384986
:/lib/librt-2.13.90.so glibc-2.13.90-11.i686 (Fedora Project) 1304809695
:/usr/lib/libmtp.so.8.3.6 libmtp-1.0.6-2.fc15.i686 (Fedora Project) 1302157842

environ:
:ORBIT_SOCKETDIR=/tmp/orbit-juanffernandez
:XDG_SESSION_ID=1
:HOSTNAME=Reach
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-EQB5vL/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=136743124ad850ec3f912fbc0000000e-1305060371.675250-1311512241
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=46137349
:GNOME_KEYRING_CONTROL=/tmp/keyring-EQB5vL
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=IBus
:USER=juanffernandez
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:SSH_AUTH_SOCK=/tmp/keyring-EQB5vL/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1431,unix/unix:/tmp/.ICE-unix/1431
:USERNAME=juanffernandez
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/juanffernandez/bin
:MAIL=/var/spool/mail/juanffernandez
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/juanffernandez
:XMODIFIERS=@im=ibus
:GNOME_KEYRING_PID=1423
:LANG=es_ES.utf8
:GDM_LANG=es_ES.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/juanffernandez
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=juanffernandez
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-nHkiytr5VF,guid=f7da77931bda1114975d70de00000065
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/juanffernandez
:DISPLAY=:0
:GTK_IM_MODULE=ibus
:G_BROKEN_FILENAMES=1
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-juanffernandez-0dBDe4/database
:_=/usr/bin/mtp-tracks

event_log:
:2011-05-10-23:32:41> Analyzing coredump 'coredump'
:2011-05-10-23:32:41  El volcado del núcleo hace referencia a 10 archivos de información de depuración, 9 de ellos no se encuentran instalados
:2011-05-10-23:33:41  Could not parse metalink https://mirrors.fedoraproject.org/metalink?repo=updates-released-debug-f15&arch=i386 error was 
:2011-05-10-23:33:41  No repomd file
:2011-05-10-23:33:42  Buscando los paquetes necesarios en los repositorios
:2011-05-10-23:34:25  Paquetes a descargar: 5
:2011-05-10-23:34:25  Descargando 131.46Mb, tamaño instalado: 608.34Mb
:2011-05-10-23:34:25  Descargando (1 de 5) libusb1-debuginfo-1.0.8-7.fc15.i686.rpm: 100%
:2011-05-10-23:34:25  Extrayendo cpio desde /tmp/abrt-tmp-debuginfo-2011-05-10-23:32:41.4104/libusb1-debuginfo-1.0.8-7.fc15.i686.rpm
:2011-05-10-23:34:25  Cacheando archivos en unpacked.cpio realizados a partir de libusb1-debuginfo-1.0.8-7.fc15.i686.rpm
:2011-05-10-23:34:27  Descargando (2 de 5) libusb-debuginfo-0.1.3-7.fc15.i686.rpm: 100%
:2011-05-10-23:34:27  Extrayendo cpio desde /tmp/abrt-tmp-debuginfo-2011-05-10-23:32:41.4104/libusb-debuginfo-0.1.3-7.fc15.i686.rpm
:2011-05-10-23:34:27  Cacheando archivos en unpacked.cpio realizados a partir de libusb-debuginfo-0.1.3-7.fc15.i686.rpm
:2011-05-10-23:34:34  Descargando (3 de 5) glibc-debuginfo-2.13.90-11.i686.rpm: 100%
:2011-05-10-23:34:35  Extrayendo cpio desde /tmp/abrt-tmp-debuginfo-2011-05-10-23:32:41.4104/glibc-debuginfo-2.13.90-11.i686.rpm
:2011-05-10-23:34:37  Cacheando archivos en unpacked.cpio realizados a partir de glibc-debuginfo-2.13.90-11.i686.rpm
:2011-05-10-23:34:40  Descargando (4 de 5) libmtp-debuginfo-1.0.6-2.fc15.i686.rpm: 100%
:2011-05-10-23:34:40  Extrayendo cpio desde /tmp/abrt-tmp-debuginfo-2011-05-10-23:32:41.4104/libmtp-debuginfo-1.0.6-2.fc15.i686.rpm
:2011-05-10-23:34:40  Cacheando archivos en unpacked.cpio realizados a partir de libmtp-debuginfo-1.0.6-2.fc15.i686.rpm
:2011-05-10-23:34:52  Descargando (5 de 5) gcc-debuginfo-4.6.0-7.fc15.i686.rpm:  12%
:2011-05-10-23:35:03  Descargando (5 de 5) gcc-debuginfo-4.6.0-7.fc15.i686.rpm:  25%
:2011-05-10-23:35:13  Descargando (5 de 5) gcc-debuginfo-4.6.0-7.fc15.i686.rpm:  37%
:2011-05-10-23:35:24  Descargando (5 de 5) gcc-debuginfo-4.6.0-7.fc15.i686.rpm:  48%
:2011-05-10-23:35:34  Descargando (5 de 5) gcc-debuginfo-4.6.0-7.fc15.i686.rpm:  57%
:2011-05-10-23:35:45  Descargando (5 de 5) gcc-debuginfo-4.6.0-7.fc15.i686.rpm:  69%
:2011-05-10-23:35:55  Descargando (5 de 5) gcc-debuginfo-4.6.0-7.fc15.i686.rpm:  82%
:2011-05-10-23:36:06  Descargando (5 de 5) gcc-debuginfo-4.6.0-7.fc15.i686.rpm:  92%
:2011-05-10-23:36:16  Descargando (5 de 5) gcc-debuginfo-4.6.0-7.fc15.i686.rpm: 100%
:2011-05-10-23:36:16  Extrayendo cpio desde /tmp/abrt-tmp-debuginfo-2011-05-10-23:32:41.4104/gcc-debuginfo-4.6.0-7.fc15.i686.rpm
:2011-05-10-23:36:42  Cacheando archivos en unpacked.cpio realizados a partir de gcc-debuginfo-4.6.0-7.fc15.i686.rpm
:2011-05-10-23:36:56  Se han extraído todos los paquetes descargados, eliminando /tmp/abrt-tmp-debuginfo-2011-05-10-23:32:41.4104
:2011-05-10-23:36:57  Backtrace is generated and saved, 4709 bytes

maps:
:00421000-00422000 r-xp 00000000 00:00 0          [vdso]
:00837000-00853000 r-xp 00000000 fd:01 7034       /lib/libgcc_s-4.6.0-20110509.so.1
:00853000-00854000 rw-p 0001b000 fd:01 7034       /lib/libgcc_s-4.6.0-20110509.so.1
:08048000-0804a000 r-xp 00000000 fd:01 56213      /usr/bin/mtp-tracks
:0804a000-0804b000 rw-p 00001000 fd:01 56213      /usr/bin/mtp-tracks
:0890f000-08951000 rw-p 00000000 00:00 0          [heap]
:4bd70000-4bd8f000 r-xp 00000000 fd:01 4860       /lib/ld-2.13.90.so
:4bd8f000-4bd90000 r--p 0001f000 fd:01 4860       /lib/ld-2.13.90.so
:4bd90000-4bd91000 rw-p 00020000 fd:01 4860       /lib/ld-2.13.90.so
:4bd93000-4bf1c000 r-xp 00000000 fd:01 6309       /lib/libc-2.13.90.so
:4bf1c000-4bf1d000 ---p 00189000 fd:01 6309       /lib/libc-2.13.90.so
:4bf1d000-4bf1f000 r--p 00189000 fd:01 6309       /lib/libc-2.13.90.so
:4bf1f000-4bf20000 rw-p 0018b000 fd:01 6309       /lib/libc-2.13.90.so
:4bf20000-4bf23000 rw-p 00000000 00:00 0 
:4bf25000-4bf3c000 r-xp 00000000 fd:01 8742       /lib/libpthread-2.13.90.so
:4bf3c000-4bf3d000 r--p 00016000 fd:01 8742       /lib/libpthread-2.13.90.so
:4bf3d000-4bf3e000 rw-p 00017000 fd:01 8742       /lib/libpthread-2.13.90.so
:4bf3e000-4bf40000 rw-p 00000000 00:00 0 
:4bf49000-4bf50000 r-xp 00000000 fd:01 11303      /lib/librt-2.13.90.so
:4bf50000-4bf51000 r--p 00006000 fd:01 11303      /lib/librt-2.13.90.so
:4bf51000-4bf52000 rw-p 00007000 fd:01 11303      /lib/librt-2.13.90.so
:4bf54000-4bf8c000 r-xp 00000000 fd:01 35871      /usr/lib/libmtp.so.8.3.6
:4bf8c000-4bf92000 rw-p 00038000 fd:01 35871      /usr/lib/libmtp.so.8.3.6
:4d08e000-4d092000 r-xp 00000000 fd:01 57980      /lib/libusb-0.1.so.4.4.4
:4d092000-4d093000 rw-p 00003000 fd:01 57980      /lib/libusb-0.1.so.4.4.4
:4d843000-4d850000 r-xp 00000000 fd:01 54838      /lib/libusb-1.0.so.0.0.0
:4d850000-4d851000 rw-p 0000c000 fd:01 54838      /lib/libusb-1.0.so.0.0.0
:b7848000-b784a000 rw-p 00000000 00:00 0 
:b7856000-b785d000 r--s 00000000 fd:01 5521       /usr/lib/gconv/gconv-modules.cache
:b785d000-b785f000 rw-p 00000000 00:00 0 
:bfecf000-bfef0000 rw-p 00000000 00:00 0          [stack]
Comment 1 Fedora Update System 2011-06-23 13:53:31 EDT
libmtp-1.0.6-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libmtp-1.0.6-3.fc15
Comment 2 Fedora Update System 2011-06-23 23:29:11 EDT
Package libmtp-1.0.6-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libmtp-1.0.6-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/libmtp-1.0.6-3.fc15
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-07-02 15:28:09 EDT
libmtp-1.0.6-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.